> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update modifies a toolset's admin-editable fields via update_mask.
 Editable paths: display_name, description. profile must include id,
 app_id, and connector_id.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{id}:
    post:
      tags:
        - MCP Toolsets
      summary: Update
      description: |-
        Update modifies a toolset's admin-editable fields via update_mask.
         Editable paths: display_name, description. profile must include id,
         app_id, and connector_id.
      operationId: c1.api.ai_governance.v1.MCPAccessProfileService.Update
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier (app that owns the connector).
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: Connector identifier.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Unique identifier for this access profile.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileServiceUpdateRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileServiceUpdateResponse
          description: >-
            MCPAccessProfileServiceUpdateResponse returns the updated MCP access
            profile.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.mcpAccessProfile.update({
                appId: "<id>",
                connectorId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ai_governance.v1.MCPAccessProfileServiceUpdateRequestInput:
      description: >-
        MCPAccessProfileServiceUpdateRequest updates an existing MCP access
        profile.
      properties:
        profile:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPAccessProfile'
            - type: 'null'
        updateMask:
          type:
            - string
            - 'null'
      title: Mcp Access Profile Service Update Request
      type: object
      x-speakeasy-name-override: MCPAccessProfileServiceUpdateRequest
    c1.api.ai_governance.v1.MCPAccessProfileServiceUpdateResponse:
      description: >-
        MCPAccessProfileServiceUpdateResponse returns the updated MCP access
        profile.
      properties:
        profile:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPAccessProfile'
            - type: 'null'
      title: Mcp Access Profile Service Update Response
      type: object
      x-speakeasy-name-override: MCPAccessProfileServiceUpdateResponse
    c1.api.ai_governance.v1.MCPAccessProfile:
      description: MCPAccessProfile represents an admin-curated grouping of MCP tools.
      properties:
        appEntitlementId:
          description: The ID of the AppEntitlement created for this profile.
          type:
            - string
            - 'null'
        appId:
          description: App identifier (app that owns the connector).
          type:
            - string
            - 'null'
        connectorId:
          description: Connector identifier.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: Description of what access this profile grants.
          type:
            - string
            - 'null'
        displayName:
          description: Display name for the profile.
          type:
            - string
            - 'null'
        id:
          description: Unique identifier for this access profile.
          type:
            - string
            - 'null'
        toolCount:
          description: The number of tools currently bound to this profile.
          format: int32
          type:
            - integer
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Mcp Access Profile
      type: object
      x-speakeasy-name-override: MCPAccessProfile
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````